<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:31 CEST 2019 -->
<title>RefinementsImpl</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/RefinementsFactoryImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/impl/RefinementsImpl.html" target="_top">Frames</a></li>
<li><a href="RefinementsImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.impl</div>
<h2 title="Class RefinementsImpl" class="title">Class RefinementsImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.impl.RefinementsImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementsImpl</span>
extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements <a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></pre>
<div class="block"><!-- begin-user-doc --> An implementation of the model object
 '<em><b>Refinements</b></em>'. <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getId--"><code><em>Id</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getRefinements--"><code><em>Refinements</em></code></a></li>
   <li><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getComposedrefinements--"><code><em>Composedrefinements</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#addRefinement-refinement.model.refinements.Refinement-">addRefinement</a></span>(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">eInverseRemove</a></span>(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
              int&nbsp;featureID,
              org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#eInvoke-int-org.eclipse.emf.common.util.EList-">eInvoke</a></span>(int&nbsp;operationID,
       org.eclipse.emf.common.util.EList&lt;?&gt;&nbsp;arguments)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    java.lang.Object&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#findRefinementsByReference-java.lang.String-">findRefinementsByReference</a></span>(java.lang.String&nbsp;referenceID)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getComposedrefinements--">getComposedrefinements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getId--">getId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getRefinement-int-">getRefinement</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getRefinements--">getRefinements</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#getReplaceIndex-org.eclipse.emf.common.util.EList-">getReplaceIndex</a></span>(org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;&nbsp;indexList)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#indexOfRefinement-refinement.model.refinements.Refinement-">indexOfRefinement</a></span>(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#removeRefinement-int-">removeRefinement</a></span>(int&nbsp;refinementIndex)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#saveRefinements-java.lang.String-">saveRefinements</a></span>(java.lang.String&nbsp;savePath)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#setId-java.lang.String-">setId</a></span>(java.lang.String&nbsp;newId)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#setRefinement-int-refinement.model.refinements.Refinement-">setRefinement</a></span>(int&nbsp;index,
             <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/impl/RefinementsImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getId()</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#getId--">getId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Id</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#setId-java.lang.String-"><code>Refinements.setId(String)</code></a>, 
<a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Id--"><code>RefinementsPackage.getRefinements_Id()</code></a></dd>
</dl>
</li>
</ul>
<a name="setId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre>public&nbsp;void&nbsp;setId(java.lang.String&nbsp;newId)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#setId-java.lang.String-">setId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newId</code> - the new value of the '<em>Id</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/Refinements.html#getId--"><code>Refinements.getId()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinements</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&gt;&nbsp;getRefinements()</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#getRefinements--">getRefinements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Refinements</em>' containment reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Refinements--"><code>RefinementsPackage.getRefinements_Refinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getComposedrefinements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComposedrefinements</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;<a href="../../../../refinement/model/refinements/ComposedRefinements.html" title="interface in refinement.model.refinements">ComposedRefinements</a>&gt;&nbsp;getComposedrefinements()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#getComposedrefinements--">getComposedrefinements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Composedrefinements</em>' containment reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../refinement/model/refinements/RefinementsPackage.html#getRefinements_Composedrefinements--"><code>RefinementsPackage.getRefinements_Composedrefinements()</code></a></dd>
</dl>
</li>
</ul>
<a name="addRefinement-refinement.model.refinements.Refinement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRefinement</h4>
<pre>public&nbsp;void&nbsp;addRefinement(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#addRefinement-refinement.model.refinements.Refinement-">addRefinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
</dl>
</li>
</ul>
<a name="getReplaceIndex-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReplaceIndex</h4>
<pre>public&nbsp;int&nbsp;getReplaceIndex(org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;&nbsp;indexList)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-">Refinements</a></code></span></div>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#getReplaceIndex-org.eclipse.emf.common.util.EList-">getReplaceIndex</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>indexList</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="saveRefinements-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRefinements</h4>
<pre>public&nbsp;void&nbsp;saveRefinements(java.lang.String&nbsp;savePath)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#saveRefinements-java.lang.String-">saveRefinements</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
</dl>
</li>
</ul>
<a name="indexOfRefinement-refinement.model.refinements.Refinement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexOfRefinement</h4>
<pre>public&nbsp;int&nbsp;indexOfRefinement(<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#indexOfRefinement-refinement.model.refinements.Refinement-">indexOfRefinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
</dl>
</li>
</ul>
<a name="getRefinement-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefinement</h4>
<pre>public&nbsp;<a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;getRefinement(int&nbsp;index)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#getRefinement-int-">getRefinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
</dl>
</li>
</ul>
<a name="setRefinement-int-refinement.model.refinements.Refinement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefinement</h4>
<pre>public&nbsp;void&nbsp;setRefinement(int&nbsp;index,
                          <a href="../../../../refinement/model/refinements/Refinement.html" title="interface in refinement.model.refinements">Refinement</a>&nbsp;refinement)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#setRefinement-int-refinement.model.refinements.Refinement-">setRefinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
</dl>
</li>
</ul>
<a name="findRefinementsByReference-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findRefinementsByReference</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.EList&lt;java.lang.Integer&gt;&nbsp;findRefinementsByReference(java.lang.String&nbsp;referenceID)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#findRefinementsByReference-java.lang.String-">findRefinementsByReference</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
</dl>
</li>
</ul>
<a name="removeRefinement-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeRefinement</h4>
<pre>public&nbsp;void&nbsp;removeRefinement(int&nbsp;refinementIndex)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../refinement/model/refinements/Refinements.html#removeRefinement-int-">removeRefinement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../refinement/model/refinements/Refinements.html" title="interface in refinement.model.refinements">Refinements</a></code></dd>
</dl>
</li>
</ul>
<a name="eInverseRemove-org.eclipse.emf.ecore.InternalEObject-int-org.eclipse.emf.common.notify.NotificationChain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eInverseRemove</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.NotificationChain&nbsp;eInverseRemove(org.eclipse.emf.ecore.InternalEObject&nbsp;otherEnd,
                                                                      int&nbsp;featureID,
                                                                      org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eInverseRemove</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;java.lang.Object&nbsp;eGet(int&nbsp;featureID,
                             boolean&nbsp;resolve,
                             boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eGet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 java.lang.Object&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eUnset</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eIsSet</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
<a name="eInvoke-int-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eInvoke</h4>
<pre>public&nbsp;java.lang.Object&nbsp;eInvoke(int&nbsp;operationID,
                                org.eclipse.emf.common.util.EList&lt;?&gt;&nbsp;arguments)
                         throws java.lang.reflect.InvocationTargetException</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eInvoke</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>eInvoke</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.reflect.InvocationTargetException</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc --> <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/impl/RefinementsFactoryImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/impl/RefinementsPackageImpl.html" title="class in refinement.model.refinements.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/impl/RefinementsImpl.html" target="_top">Frames</a></li>
<li><a href="RefinementsImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
